package com.atlassian.stash.internal.repository.sync;

import com.atlassian.bitbucket.repository.RefChange;
import com.atlassian.bitbucket.repository.Repository;
import com.atlassian.bitbucket.user.ApplicationUser;

import java.util.Collection;

/**
 * @since 2.6
 */
public class BulkRefSyncRequest {

    private final Collection<RefChange> refChanges;
    private final Repository repository;
    private final Repository upstream;
    private final ApplicationUser user;

    public BulkRefSyncRequest(Repository repository, Repository upstream,
                              ApplicationUser user, Collection<RefChange> refChanges) {
        this.refChanges = refChanges;
        this.repository = repository;
        this.upstream = upstream;
        this.user = user;
    }

    public Collection<RefChange> getRefChanges() {
        return refChanges;
    }

    public Repository getRepository() {
        return repository;
    }

    public Repository getUpstream() {
        return upstream;
    }

    public ApplicationUser getUser() {
        return user;
    }
}
